GNU Radio C++ API Reference: rpcbasic_inserter< T, std::vector< float > > Class Template Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
rpcbasic_inserter< T, std::vector< float > > Class Template Reference

Specialized inserter class for vectors of float data. More...

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions
| rpcbasic_inserter (T *source, std::vector< float >(T::*func)() const)
| rpcbasic_inserter (T *source, std::vector< float >(T::*func)())
pmt::pmt_t | retrieve ()
| send `msg` to `msg_producer`
Public Member Functions inherited from rpcinserter_base< T, std::vector< float > >
| rpcinserter_base (T *source, std::vector< float >(T::*func)())
pmt::pmt_t | retrieve () override
| send `msg` to `msg_producer`
Public Member Functions inherited from gr::messages::msg_producer
| msg_producer ()
virtual | ~msg_producer ()

## Additional Inherited Members
Protected Attributes inherited from rpcinserter_base< T, std::vector< float > >
T * | _source
std::vector< float >(T::*) | _func ()

## Detailed Description

template<typename T>
class rpcbasic_inserter< T, std::vector< float > >

Specialized inserter class for vectors of float data.

## Constructor & Destructor Documentation

## ◆ rpcbasic_inserter() [1/2]

template<typename T>

rpcbasic_inserter< T, std::vector< float > >::rpcbasic_inserter | ( | T * | source,
|  | std::vector< float >(T::* | func )() const )
| inline

References rpcinserter_base< T, std::vector< float > >::rpcinserter_base().

## ◆ rpcbasic_inserter() [2/2]

template<typename T>

rpcbasic_inserter< T, std::vector< float > >::rpcbasic_inserter | ( | T * | source,
|  | std::vector< float >(T::* | func )() )
| inline

References rpcinserter_base< T, std::vector< float > >::rpcinserter_base().

## Member Function Documentation

## ◆ retrieve()

template<typename T>

pmt::pmt_t rpcbasic_inserter< T, std::vector< float > >::retrieve | ( |  | ) |
| inlinevirtual

send `msg` to `msg_producer`

Implements gr::messages::msg_producer.

References rpcinserter_base< T, std::vector< float > >::_func, rpcinserter_base< T, std::vector< float > >::_source, pmt::init_f32vector(), and rpcinserter_base< T, std::vector< float > >::rpcinserter_base().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h